<?php
function deleteAllCookies() {
    # トラッキングで利用しているCookieをすべて削除する
    setcookie("uv1", "deleted", time()-60*60*24*365*10);
    setcookie("uv2", "deleted", time()-60*60*24*365*10);
    setcookie("uv3", "deleted", time()-60*60*24*365*10);
    # データベースにあるCookieの情報も削除する
    # ... $_COOKIE['uv1'] ...
    # ... $_COOKIE['uv2'] ...
    # ... $_COOKIE['uv3'] ...
    # ... $_COOKIE['uid'] ...
}
if (isset($_SERVER['HTTP_DNT']) && $_SERVER['HTTP_DNT'] == '1') {
    # (オプトアウトの処理を行う) (注:DNTが有効な場合)
    deleteAllCookies();
    # (オプトアウトの期間を10年間とする)
    setcookie("uid", "000000000", time()+60*60*24*365*10);
} else {
    # (通常のトラッキング処理を行う) (注:DNTが無効な場合)
    # ...
}
